---
title: "Update a section"
slug: "update-a-section"
updated: 2025-11-07T20:01:40Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a section

Put/api/v1/realestateobjects/sections

Update an existing section.

		
			

**Description**

Update an existing section. This will fully overwrite the section with the data from the request. Both the 'reference' and the 'externalIdentifier' can be used to identify the section which needs to be overwritten. Preferably only the reference is used. If this is not available, the externalIdentifier can be used. If both properties are used it is important that both are correct and match with the same entity (section). If this is not the case, the request will return with an error code and the section will not be overwritten.

A section refers to sections of a building. Example: A complex containing a building with a shop on the ground floor and three apartments above it. This is a combination of commercial real estate and residential living. It is crucial to set this up correctly as it forms the foundation of the object structure in Bloxs: proper cost allocation, reporting purposes, assignment of a 'concierge,' and creation of (service) notifications.

**Use Case**

The Bloxs user has added a section with multiple incorrect properties. Therefore the user wants to change multiple properties at the same time rather than making several requests and changing one property at a time.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all objects. The relationship number is generated by the Bloxs system. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| name | The custom name assigned to the object. This is used for reporting and to distinguish the object when the address alone is insufficient. In the case of room rentals, this would be the address + room number. This name can also be displayed on invoices and bills. |
| categoryName | The name of the category. The category describes what type of object it concerns and gives an indication of what the purpose of the building is. Examples are: House, office or shop. The enumeration can be set by the user in the admin module. In the administration, there is already a default list created by Bloxs, which can be modified by the user. In order to retrieve the available list of categories, the following GET can be used: [Get a list of categories](https://www.bloxs.io/apidocs/get-a-list-of-categories-2). |
| extraRelations | Via this field any existing relation (Person, organisation, supplier, Owner or Estate Agent) can be linked to this object. For example, if a certain person is responsible for the maintenance, this field can be used to link this person to the object. Note that only existing relations can be linked. New relations should be entered through the relations-api insert operations. If the user does not know the detailed information of the relation that should be linked, one of the GET operations from the relations API should be used. The owner of the property should be added through the field 'ownerReference'. The estate agent of the property should be added through the field 'EstateAgentReference'. All other relations that should be linked can be entered through extraRelations. |
| extraRelationTypeName | The relation type of the existing relation that should be linked to this object. This is a separate field from the 'RelationTypeName' in the relations-api. The extraRelationTypeName refers to the relation type specifically assigned to the this object. For example, a person has the relationTypeName maintenance assigned. However, for this specific object the person performs the role of cleaner rather than maintenance. Through the field extraRelationTypeName the role of cleaner can be assigned. The enumeration can be set by the user in the admin module. In the administration, there is already a default list created by Bloxs, which can be modified by the user. In order to retrieve the available list of relation types, the following GET can be used: [GET extraRelationTypes](/v1-api/apidocs/preview-get-a-list-of-extra-relation-types). |
| relationReference | The reference of the existing relation that should be linked to this object. The reference should be identical to the reference such as registered in the Bloxs application. |
| remarks | Comments for free text. Anything that cannot be entered in the other fields can be entered here. It is important not to enter sensitive information here (passwords, personal data, etc.). |
| underManagementSince | From this date, the user has become the manager of the object. The date is initially entered and remains unchanged until the sale/termination of management. |
| complexReference | This field links the property to a complex. It must be a complex which has been previously added either through the Bloxs application or via the API. The complexReference corresponds to the 'Reference' previously assigned to the complex. This unique ID is generated by the Bloxs application and should not be confused with the external identifier. A property can only be part of one complex. |
| address | The address of the object. Please note: A change in the address of a section will not automatically update the address of the associated complex or building. If the address of the associated complex or building also changes, this change must be submitted separately via the relevant API. |
| street | The street of the object. |
| housenumber | Housenumber of the unit. This field could also be used to enter the room number. |
| postalCode | The postal code of the object. |
| city | The place (city/town) in which the unit is situated. |
| countryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |

**Response fields**

The response contains the fields in the table below.

| Field | Description |
| --- | --- |
| displayName | A combination of the 'address' & the 'name' of the object. |
| salesDate | This is the date on which the object was sold or is no longer under management. Entering this date will result in the object being archived, and it will no longer be selectable in lists, etc. This date cannot be filled in if the object still has active contracts. |
| lastModified | Timestamp of the last modification within Bloxs (determined by Bloxs). |
| totalRawFloorArea | Gross Floor Area. The total measured floor area of all rentable units contained in the complex according to the NEN2580 standards. Decimals are separated with a period (.). |
| totalRentableFloorArea | Rentable Floor Area. Rentable floor area of all rentable units contained in the complex according to the NEN2580 standards. Decimals are separated with a period (.) |
| totalUsableFloorArea | The total actual usable floor area of all rentable units contained in the complex. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='adf10089-1360-437c-9e80-9aad5db0611a'>application/json</option>
</select>Expand Allobject  externalIdentifierstring   | null  Min length0Max length100
namestring   | null  Min length0Max length256
categoryNamestring    RequiredMin length0Max length256
extraRelations Array of object (RealEstateExtraRelationAPIModel)  | null  object  extraRelationTypeNamestring   | null  
relationReferencestring   | null  

remarksstring   | null  
underManagementSincestring  (date)   | null  
complexReferencestring    RequiredMin length0Max length100
addressobject (Address)  Requiredstreetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

referencestring   | null  Min length0Max length100

Responses200

The section was updated

<select class='api-response-data' aria-label='Media type'><option value='6a2c9ca6-2cfc-45f2-aa83-d17124b8e4af'>application/json</option>
</select>Expand Allobject  referencestring   | null  
externalIdentifierstring   | null  
namestring   | null  
displayNamestring   | null  
ownerReferencestring   | null  
categoryNamestring   | null  
extraRelations Array of object (RealEstateExtraRelationAPIModel)  | null  object  extraRelationTypeNamestring   | null  
relationReferencestring   | null  

remarksstring   | null  
underManagementSincestring  (date-time)   | null  
salesDatestring  (date-time)   | null  
lastModifiedstring  (date-time)    
addressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

complexReferencestring   | null  
totalRawFloorAreanumber  (double)   | null  
totalRentableFloorAreanumber  (double)   | null  
totalUsableFloorAreanumber  (double)   | null  

400

The section data has validation issues

<select class='api-response-data' aria-label='Media type'><option value='07ebb460-7c1b-4307-b88c-d3c250fc8f18'>application/json</option>
</select>Expand Allobject  typestring   | null  
titlestring   | null  
traceIdstring   | null  
statusinteger  (int32)    
errorsobject | null  property* Array of string  | null  additionalPropertiesstring
